Bug report #20894

QGIS 3.5 python-qgis broken (install) on Ubuntu

Added by Kory Roberts over 1 year ago. Updated over 1 year ago.

Status:Closed
Priority:Normal
Assignee:-
Category:Build/Install
Affected QGIS version:3.5(master) Regression?:Yes
Operating System:Linux Mint 19.1 Cinnamon Easy fix?:No
Pull Request or Patch supplied:No Resolution:fixed/implemented
Crashes QGIS or corrupts data:No Copied to github as #:28713

Description

error processing archive /var/cache/apt/archives/python-qgis_1%3a3.5.0+git20181229+60d2616+28bionic_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/python3/dist-packages/qgis/testing/__init__.py', which is also in package python-qgis-common 1:3.5.0+git20181229+60d2616+28bionic
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Selecting previously unselected package qgis.
Preparing to unpack .../qgis_1%3a3.5.0+git20181229+60d2616+28bionic_amd64.deb ...
Unpacking qgis (1:3.5.0+git20181229+60d2616+28bionic) ...
Errors were encountered while processing:
 /var/cache/apt/archives/python-qgis_1%3a3.5.0+git20181229+60d2616+28bionic_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Associated revisions

Revision fea05d62
Added by Jürgen Fischer over 1 year ago

debian packaging: avoid conflicting files (followup add1a9228, refs #20856, fixes #20894)

Revision 41e0c012
Added by Jürgen Fischer over 1 year ago

debian packaging: update python package break/replaces (fixes #20894)

History

#1 Updated by Jürgen Fischer over 1 year ago

  • % Done changed from 0 to 100
  • Status changed from Open to Closed

#2 Updated by Giovanni Manghi over 1 year ago

  • Resolution set to fixed/implemented

Also available in: Atom PDF